## chromium 118.0.5993.70~linuxmint1+faye

=== debian/changelog ===
chromium (118.0.5993.70~linuxmint1+faye) unstable; urgency=medium

  * 118.0.5993.70

 -- Linux Mint <root@linuxmint.com>  Tue, 10 Oct 2023 22:48:22 +0100

chromium (117.0.5938.149~linuxmint1) unstable; urgency=medium

  * 117.0.5938.149

 -- Linux Mint <root@linuxmint.com>  Wed, 04 Oct 2023 22:47:22 +0100
