## chromium 118.0.5993.70~linuxmint1+victoria

=== debian/changelog ===
chromium (118.0.5993.70~linuxmint1+victoria) unstable; urgency=medium

  * 118.0.5993.70

 -- Linux Mint <root@linuxmint.com>  Tue, 10 Oct 2023 22:48:22 +0100
