## chromium 118.0.5993.88~linuxmint1+elsie

=== debian/changelog ===
chromium (118.0.5993.88~linuxmint1+elsie) unstable; urgency=medium

  * 118.0.5993.88

 -- Linux Mint <root@linuxmint.com>  Tue, 17 Oct 2023 22:44:12 +0100

chromium (118.0.5993.70~linuxmint1) unstable; urgency=medium

  * 118.0.5993.70

 -- Linux Mint <root@linuxmint.com>  Tue, 10 Oct 2023 22:48:22 +0100
