## chromium 118.0.5993.88~linuxmint1+victoria

=== debian/changelog ===
chromium (118.0.5993.88~linuxmint1+victoria) unstable; urgency=medium

  * 118.0.5993.88

 -- Linux Mint <root@linuxmint.com>  Tue, 17 Oct 2023 22:44:12 +0100
