## chromium 118.0.5993.117

=== debian/changelog ===
chromium (118.0.5993.117-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2023-5472: Use after free in Profiles.
      Reported by @18楼梦想改造家.
  * Switch from clang-14 to clang-16.
  * d/patches:
    - bookworm/clang-attribs.patch: drop, now that we've switched to clang-16.
    - bookworm/typename.patch: drop, now that we've switched to clang-16.
    - bookworm/struct-ctor.patch: drop, now that we've switched to clang-16.
    - bookworm/structured-binding-scope-bug.patch: drop, now that we've
      switched to clang-16.
    - bookworm/stringpiece3.patch: drop, now that we've switched to clang-16.
    - bookworm/initialize-const-ctor.patch: drop, now that we've switched to
      clang-16.
    - bookworm/i386-lock-free.patch: drop, now that we've switched to clang-16.
    - bullseye/clang13.patch: drop, now that we've switched to clang-16.
    - fixes/brandversion-construct.patch: drop, now that we've switched to
      clang-16.
    - fixes/SkColor4f-init.patch: drop, now that we've switched to clang-16.

 -- Andres Salomon <dilinger@debian.org>  Tue, 24 Oct 2023 20:00:54 -0400
