=== debian/control ===
--- 
+++ 
@@ -13,9 +13,10 @@
 Build-Depends:
  debhelper (>= 11),
  devscripts,
- lld-14,
- clang-14,
- clang-format-14,
+ lld-16,
+ clang-16,
+ clang-format-16,
+ libclang-rt-16-dev,
  rustc,
  python3,
  pkg-config,
