=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 # compile with clang (gcc is currently not supported)
 export AR=ar
 export NM=nm
-export CC=clang-14
-export CXX=clang++-14
+export CC=clang-16
+export CXX=clang++-16
 
 # initial flags from dpkg-buildflags
 export DEB_CXXFLAGS_MAINT_STRIP=-g
