## chromium 119.0.6045.105~linuxmint1+elsie

=== debian/changelog ===
chromium (119.0.6045.105~linuxmint1+elsie) unstable; urgency=medium

  * 119.0.6045.105

 -- Linux Mint <root@linuxmint.com>  Tue, 31 Oct 2023 20:45:12 +0000

chromium (118.0.5993.117~linuxmint1) unstable; urgency=medium

  * 118.0.5993.117

 -- Linux Mint <root@linuxmint.com>  Tue, 24 Oct 2023 22:18:12 +0100

chromium (118.0.5993.88~linuxmint1) unstable; urgency=medium

  * 118.0.5993.88

 -- Linux Mint <root@linuxmint.com>  Tue, 17 Oct 2023 22:44:12 +0100
