## chromium 119.0.6045.105~linuxmint1+victoria

=== debian/changelog ===
chromium (119.0.6045.105~linuxmint1+victoria) unstable; urgency=medium

  * 119.0.6045.105

 -- Linux Mint <root@linuxmint.com>  Tue, 31 Oct 2023 20:45:12 +0000
