## chromium 119.0.6045.105

=== debian/changelog ===
chromium (119.0.6045.105-1~deb11u1) bullseye-security; urgency=high

  * New upstream stable release.
    - CVE-2023-5480: Inappropriate implementation in Payments.
      Reported by Vsevolod Kokorin (Slonser) of Solidlab.
    - CVE-2023-5482: Insufficient data validation in USB. Reported by DarkNavy.
    - CVE-2023-5849: Integer overflow in USB. Reported by DarkNavy.
    - CVE-2023-5850: Incorrect security UI in Downloads.
      Reported by Mohit Raj (shadow2639) .
    - CVE-2023-5851: Inappropriate implementation in Downloads.
      Reported by Shaheen Fazim.
    - CVE-2023-5852: Use after free in Printing. Reported by [pwn2car].
    - CVE-2023-5853: Incorrect security UI in Downloads. Reported by Hafiizh.
    - CVE-2023-5854: Use after free in Profiles. Reported by
      Dohyun Lee (@l33d0hyun) of SSD-Disclosure Labs & DNSLab, Korea Univ.
    - CVE-2023-5855: Use after free in Reading Mode. Reported by ChaobinZhang.
    - CVE-2023-5856: Use after free in Side Panel.
      Reported by Weipeng Jiang (@Krace) of VRI.
    - CVE-2023-5857: Inappropriate implementation in Downloads.
      Reported by Will Dormann.
    - CVE-2023-5858: Inappropriate implementation in WebApp Provider.
      Reported by Axel Chong.
    - CVE-2023-5859: Incorrect security UI in Picture In Picture.
      Reported by Junsung Lee
  * d/patches:
    - patches/bullseye/constexpr.patch: Add MiracleParameter workaround
  * d/patches/ppc64le:
    - Mass refresh all patches against 119 codebase.  No functional change.

  [ Andres Salomon ]
  * d/patches:
    - fixes/gcc13-headers.patch: drop parts that have been merged upstream.
    - fixes/perfetto.patch: drop part that was merged upstream.
    - upstream/sensor-reading.patch: drop, merged upstream.
    - upstream/lweight.patch: drop, merged upstream.
    - upstream/freetype.patch: drop, merged upstream.
    - upstream/sizet.patch: drop, merged upstream.
    - disable/catapult.patch: drop an unused hunk.
    - disable/widevine-cdm-cu.patch: refresh.
    - disable/privacy-sandbox.patch: rename, sync up with ungoogled-chromium,
      and use the full ungoogled patch. The privacy sandbox config interface
      is now gone, with no way to enable it.
    - ungoogled/core/ungoogled-chromium/disable-web-environment-integrity.patch:
      sync up with with ungoogled-chromium, and rename.
    - fixes/blink-frags.patch: additional build fix for libstdc++13.
    - fixes/gcc13-with-clang14.patch: drop, now that we've switched to clang-16.
    - fixes/atspi.patch: fix build failure with atspi >= 2.50.
    - bullseye/av1-vaapi2.patch: revert another upstream vaapi patch due to
      bullseye's old libva.
  * d/rules: set enable_nocompile_tests_new=false to make older gn happy.

 -- Timothy Pearson <tpearson@raptorengineering.com>  Tue, 31 Oct 2023 23:50:00 -0500

chromium (118.0.5993.117-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-5472: Use after free in Profiles.
      Reported by @18楼梦想改造家.
  * d/patches:
    - bookworm/clang-attribs.patch: drop, now that we've switched to clang-16.
    - bookworm/typename.patch: drop, now that we've switched to clang-16.
    - bookworm/struct-ctor.patch: drop, now that we've switched to clang-16.
    - bookworm/structured-binding-scope-bug.patch: drop, now that we've
      switched to clang-16.
    - bookworm/stringpiece3.patch: drop, now that we've switched to clang-16.
    - bookworm/initialize-const-ctor.patch: drop, now that we've switched to
      clang-16.
    - bookworm/i386-lock-free.patch: drop, now that we've switched to clang-16.
    - bullseye/clang13.patch: drop, now that we've switched to clang-16.
    - bullseye/constexpr.patch: drop, now that we've switched to clang-16.
    - bullseye/mulodic.patch: drop, now that we've switched to clang-16.
    - bullseye/default-equality-op.patch: drop, now that we've switched to
      clang-16.
    - bullseye/ptr-traits-bug.patch: drop, now that we've switched to clang-16.
    - fixes/brandversion-construct.patch: drop, now that we've switched to
      clang-16.
    - fixes/SkColor4f-init.patch: drop, now that we've switched to clang-16.

 -- Andres Salomon <dilinger@debian.org>  Tue, 24 Oct 2023 20:00:54 -0400

chromium (118.0.5993.70-1~deb11u1) bullseye-security; urgency=high

  * New upstream stable release.
    - CVE-2023-5218: Use after free in Site Isolation.
      Reported by @18楼梦想改造家.
    - CVE-2023-5487: Inappropriate implementation in Fullscreen.
      Reported by Anonymous.
    - CVE-2023-5484: Inappropriate implementation in Navigation.
      Reported by Thomas Orlita.
    - CVE-2023-5475: Inappropriate implementation in DevTools.
      Reported by Axel Chong.
    - CVE-2023-5483: Inappropriate implementation in Intents.
      Reported by Axel Chong.
    - CVE-2023-5481: Inappropriate implementation in Downloads.
      Reported by Om Apip.
    - CVE-2023-5476: Use after free in Blink History. Reported by Yunqin Sun.
    - CVE-2023-5474: Heap buffer overflow in PDF. Reported by [pwn2car].
    - CVE-2023-5479: Inappropriate implementation in Extensions API.
      Reported by Axel Chong.
    - CVE-2023-5485: Inappropriate implementation in Autofill.
      Reported by Ahmed ElMasry.
    - CVE-2023-5478: Inappropriate implementation in Autofill.
      Reported by Ahmed ElMasry.
    - CVE-2023-5477: Inappropriate implementation in Installer.
      Reported by Bahaa Naamneh of Crosspoint Labs.
    - CVE-2023-5486: Inappropriate implementation in Input. Reported by Hafiizh.
    - CVE-2023-5473: Use after free in Cast. Reported by DarkNavy.
  * d/patches/ppc64le:
    - 0002-third_party-libvpx-Remove-bad-ppc64-config.patch: refresh for
       upstream changes
    - 0001-Add-PPC64-support-for-boringssl.patch: refresh for upstream changes
    - skia-vsx-instructions.patch: refresh for upstream changes
    - third_party/0003-third_party-libvpx-Add-ppc64-generated-config.patch:
      regenerate configs from upstream source

