=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Debian Chromium Team <chromium@packages.debian.org>
-Uploaders:
+Uploaders: Michael Gilbert <mgilbert@debian.org>,
+ Riku Voipio <riku.voipio@linaro.org>,
  Andres Salomon <dilinger@debian.org>,
  Timothy Pearson <tpearson@raptorengineering.com>,
 Vcs-Git: https://salsa.debian.org/chromium-team/chromium.git
@@ -16,7 +17,6 @@
  lld-16,
  clang-16,
  clang-format-16,
- libclang-rt-16-dev,
  rustc,
  python3,
  pkg-config,
@@ -45,7 +45,6 @@
  libglu1-mesa-dev,
  libegl1-mesa-dev,
  libgles2-mesa-dev,
- libopenh264-dev,
  generate-ninja,
  mesa-common-dev,
  rapidjson-dev,
