=== debian/rules ===
--- 
+++ 
@@ -56,15 +56,17 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq (i386,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"x86\" use_vaapi=true
+# temporarily disabled due to FTBFS with v112
+defines+=use_v8_context_snapshot=false
 endif
 ifeq (amd64,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"x64\" use_vaapi=true
 endif
 ifeq (arm64,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"arm64\" use_v4l2_codec=true use_vaapi=false
+defines+=host_cpu=\"arm64\" use_vaapi=true
 endif
 ifeq (armhf,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"arm\" use_v4l2_codec=true use_vaapi=false arm_use_neon=true
+defines+=host_cpu=\"arm\" use_vaapi=false arm_use_neon=true
 endif
 
 # disabled features
@@ -76,9 +78,12 @@
          use_unofficial_version_number=false \
          enable_vr=false \
          enable_nacl=false \
+         simple_template_names=false \
          enable_swiftshader=false \
          dawn_use_swiftshader=false \
          build_dawn_tests=false \
+         enable_nocompile_tests=false \
+         enable_nocompile_tests_new=false \
          enable_reading_list=false \
          enable_iterator_debugging=false \
          enable_hangout_services_extension=false \
@@ -148,6 +153,7 @@
 	cp -ra /usr/share/nodejs/rollup third_party/node/node_modules/
 	# bullseye workarounds; delete this post-bullseye
 	cp -ra /usr/share/nodejs/acorn  third_party/node/node_modules/
+	cp -ra /usr/share/nodejs/acorn-class-fields third_party/node/node_modules/
 	cp -ra /usr/share/nodejs/acorn-walk third_party/node/node_modules/walk
 	sed -i -e "s#'acorn-walk'#'walk'#" third_party/node/node_modules/rollup/dist/es/shared/rollup.js
 	sed -i -e "s#'acorn-walk'#'walk'#" third_party/node/node_modules/rollup/dist/shared/rollup.js
@@ -189,6 +195,7 @@
 	rm -rf third_party/node/node_modules/rollup
 	# bullseye workarounds; delete this post-bullseye
 	rm -rf third_party/node/node_modules/acorn
+	rm -rf third_party/node/node_modules/acorn-class-fields
 	rm -rf third_party/node/node_modules/walk
 	find . -name \*.pyc -execdir rm -f {} \;
 	dh_auto_clean
@@ -220,10 +227,3 @@
 	@echo
 	while read line; do rm -rf $$line; done < $(removed)
 	cd $(extract) && ../debian/scripts/check-upstream
-	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
-	@echo
-	test ! -e $(origtxz) || rm -f $(origtxz)
-	tar $(options) -cf - $(extract) | xz -6 -T0 - > $(origtxz)
-	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
-	@echo
-	rm -rf $(extract)
