## chromium 119.0.6045.123

=== debian/changelog ===
chromium (119.0.6045.123-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-5996: Use after free in WebAudio. Reported by
      Huang Xilin of Ant Group Light-Year Security Lab via Tianfu Cup 2023.
  * Replace libgl1-mesa-dev build dependency with libgl-dev.
  * Drop d/patches/system/convertutf.patch; license issue has been fixed.
  * d/copyright: stop deleting convert_UTF.* and document Unicode copyright
    (closes: #1033136).
  * d/patches/ppc64le/fixes/fix-breakpad-compile.patch: refresh due to convertutf
    change.

 -- Andres Salomon <dilinger@debian.org>  Tue, 07 Nov 2023 23:49:10 -0500
