## chromium 119.0.6045.159~linuxmint1+elsie

=== debian/changelog ===
chromium (119.0.6045.159~linuxmint1+elsie) unstable; urgency=medium

  * 119.0.6045.159

 -- Linux Mint <root@linuxmint.com>  Wed, 15 Nov 2023 11:53:42 +0000

chromium (119.0.6045.123~linuxmint1) unstable; urgency=medium

  * 119.0.6045.123

 -- Linux Mint <root@linuxmint.com>  Tue, 07 Nov 2023 22:39:11 +0000

chromium (119.0.6045.105~linuxmint1) unstable; urgency=medium

  * 119.0.6045.105

 -- Linux Mint <root@linuxmint.com>  Tue, 31 Oct 2023 20:45:12 +0000
