## chromium 119.0.6045.159~linuxmint1+faye

=== debian/changelog ===
chromium (119.0.6045.159~linuxmint1+faye) unstable; urgency=medium

  * 119.0.6045.159

 -- Linux Mint <root@linuxmint.com>  Wed, 15 Nov 2023 11:53:42 +0000
