=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Debian Chromium Team <chromium@packages.debian.org>
-Uploaders: Michael Gilbert <mgilbert@debian.org>,
- Riku Voipio <riku.voipio@linaro.org>,
+Uploaders:
  Andres Salomon <dilinger@debian.org>,
  Timothy Pearson <tpearson@raptorengineering.com>,
 Vcs-Git: https://salsa.debian.org/chromium-team/chromium.git
@@ -17,6 +16,7 @@
  lld-16,
  clang-16,
  clang-format-16,
+ libclang-rt-16-dev,
  rustc,
  python3,
  pkg-config,
@@ -45,6 +45,7 @@
  libglu1-mesa-dev,
  libegl1-mesa-dev,
  libgles2-mesa-dev,
+ libopenh264-dev,
  generate-ninja,
  mesa-common-dev,
  rapidjson-dev,
