## chromium 120.0.6099.71~linuxmint1+elsie

=== debian/changelog ===
chromium (120.0.6099.71~linuxmint1+elsie) unstable; urgency=medium

  * 120.0.6099.71

 -- Linux Mint <root@linuxmint.com>  Wed, 06 Dec 2023 21:17:11 +0000

chromium (120.0.6099.62~linuxmint1) unstable; urgency=medium

  * 120.0.6099.62

 -- Linux Mint <root@linuxmint.com>  Tue, 05 Dec 2023 22:32:11 +0000

chromium (119.0.6045.199~linuxmint1) unstable; urgency=medium

  * 119.0.6045.199

 -- Linux Mint <root@linuxmint.com>  Wed, 29 Nov 2023 06:45:11 +0000

chromium (119.0.6045.159~linuxmint1) unstable; urgency=medium

  * 119.0.6045.159

 -- Linux Mint <root@linuxmint.com>  Wed, 15 Nov 2023 11:53:42 +0000
