## chromium 120.0.6099.71~linuxmint1+una

=== debian/changelog ===
chromium (120.0.6099.71~linuxmint1+una) unstable; urgency=medium

  * 120.0.6099.71

 -- Linux Mint <root@linuxmint.com>  Wed, 06 Dec 2023 21:17:11 +0000
